rpm 4.10.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
rpm2cpio.c File Reference
`#include "system.h"`
`#include <rpm/rpmlib.h>`
`#include <rpm/rpmtag.h>`
`#include <rpm/rpmio.h>`
`#include <rpm/rpmpgp.h>`
`#include <rpm/rpmts.h>`
`#include "debug.h"`
Include dependency graph for rpm2cpio.c:

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])

## Variables

const char * | program_name

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 15 of file rpm2cpio.c.

References setprogname, rpmReadConfigFiles(), fdDup(), rstreq(), Fopen(), Ferror(), Fstrerror(), rpmtsCreate(), _RPMVSF_NODIGESTS, _RPMVSF_NOSIGNATURES, RPMVSF_NOHDRCHK, rpmtsSetVSFlags(), rpmReadPackageFile(), rpmtsFree(), RPMRC_OK, RPMRC_NOKEY, RPMRC_NOTTRUSTED, RPMRC_NOTFOUND, _, RPMRC_FAIL, headerGetString(), rstrscat(), headerGetNumber(), Fdopen(), ufdCopy(), and Fclose().

## Variable Documentation

const char* program_name

Definition at line 4 of file rpm2cpio.c.